package com.zbkj.service.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zbkj.common.model.home.Home;
import com.zbkj.common.request.*;
import com.zbkj.common.response.SetMealResponse;
import com.zbkj.common.vo.HomeItemVo;
import com.zbkj.common.vo.HomeVo;

import java.util.List;


public interface EbHomeService extends IService<Home> {

    List<SetMealResponse> selectPageSetMealType(SetMealRequest entity, PageParamRequest page);

    List<HomeVo> selectPageFloor(FloorRequest entity, PageParamRequest page);

    List<HomeVo> getIndexHomeList(Integer storeId);

    List<HomeItemVo> selectPageFloorItem(FloorProRequest entity, PageParamRequest page);

    List<HomeItemVo> selectFloorItem(FloorProRequest entity, PageParamRequest page);

    List<HomeVo> getAdminList(HomeRequest request, PageParamRequest pageParamRequest);

    boolean deleteById(Integer id);

}

